/**
 * @file
 * Closure Compiler form system_performance_settings JS file.
 */

(function($) {
  /**
   * Registers a function to run when the DOM is ready
   */
  $(document).ready(function() {
    /**
     * Disable the local option if it is not available
     */
    if (!Drupal.settings.closure_compiler.local_available) {
      $('#edit-closure-compiler-process-method-0').attr('disabled', 'disabled');
    }

    /**
     * Bind an event to the 'edit-preprocess-js' checkbox
     */
    $('#edit-preprocess-js').change(function() {
      if ($(this).attr('checked')) {
        $('#edit-closure-compiler-js-optimization').removeAttr('disabled');
        $('.form-item-closure-compiler-js-optimization').removeClass('form-disabled');
        if ($('#edit-closure-compiler-js-optimization').attr('checked')) {
          $('input[id^="edit-closure-compiler-"]').removeAttr('disabled');
          $('div[class*="form-item-closure-compiler-"]').removeClass('form-disabled');
        }
        // Disable the local option if it is not available
        if (!Drupal.settings.closure_compiler.local_available) {
          $('#edit-closure-compiler-process-method-0').attr('disabled', 'disabled');
        }
      } else {
        $('input[id^="edit-closure-compiler-"]').attr('disabled', 'disabled');
        $('div[class*="form-item-closure-compiler-"]').addClass('form-disabled');
      }
    });

    /**
     * Bind an event to the 'edit-closure-compiler-js-optimization' checkbox
     */
    $('#edit-closure-compiler-js-optimization').change(function() {
      if ($(this).attr('checked')) {
        $('#edit-closure-compiler input[id^="edit-closure-compiler-"]').removeAttr('disabled');
        $('#edit-closure-compiler div[class*="form-item-closure-compiler-"]').removeClass('form-disabled');
        // Disable the local option if it is not available
        if (!Drupal.settings.closure_compiler.local_available) {
          $('#edit-closure-compiler-process-method-0').attr('disabled', 'disabled');
        }
      } else {
        $('#edit-closure-compiler input[id^="edit-closure-compiler-"]').attr('disabled', 'disabled');
        $('#edit-closure-compiler div[class*="form-item-closure-compiler-"]').addClass('form-disabled');
      }
    });

    return;
  });

}(jQuery));
